Index: squid3/src/internal.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/internal.cc,v
retrieving revision 1.5
retrieving revision 1.5.8.1
diff -u -r1.5 -r1.5.8.1
--- squid3/src/internal.cc	2 Sep 2003 02:12:39 -0000	1.5
+++ squid3/src/internal.cc	25 Apr 2005 13:40:11 -0000	1.5.8.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: internal.cc,v 1.5 2003/09/02 02:12:39 squidadm Exp $
+ * $Id: internal.cc,v 1.5.8.1 2005/04/25 13:40:11 rmartinez Exp $
  *
  * DEBUG: section 76    Internal Squid Object handling
  * AUTHOR: Duane, Alex, Henrik
@@ -48,7 +48,7 @@
     ErrorState *err;
     const char *upath = request->urlpath.buf();
     debug(76, 3) ("internalStart: %s requesting '%s'\n",
-                  inet_ntoa(request->client_addr), upath);
+                  INET_NTOA(request->client_addr), upath);
 
     if (0 == strcmp(upath, "/squid-internal-dynamic/netdb")) {
         netdbBinaryExchange(entry);
Index: squid3/src/ipc.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ipc.cc,v
retrieving revision 1.9
retrieving revision 1.9.4.1
diff -u -r1.9 -r1.9.4.1
--- squid3/src/ipc.cc	8 Nov 2004 03:13:46 -0000	1.9
+++ squid3/src/ipc.cc	25 Apr 2005 13:40:19 -0000	1.9.4.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ipc.cc,v 1.9 2004/11/08 03:13:46 squidadm Exp $
+ * $Id: ipc.cc,v 1.9.4.1 2005/04/25 13:40:19 rmartinez Exp $
  *
  * DEBUG: section 54    Interprocess Communication
  * AUTHOR: Duane Wessels
@@ -78,9 +78,9 @@
 {
     pid_t pid;
 
-    struct sockaddr_in ChS;
+    struct SOCKADDR_IN ChS;
 
-    struct sockaddr_in PaS;
+    struct SOCKADDR_IN PaS;
     int crfd = -1;
     int prfd = -1;
     int cwfd = -1;
@@ -203,7 +203,7 @@
         }
 
         debug(54, 3) ("ipcCreate: FD %d sockaddr %s:%d\n",
-                      pwfd, inet_ntoa(PaS.sin_addr), ntohs(PaS.sin_port));
+                      pwfd, INET_NTOA(PaS.sin_addr), ntohs(PaS.sin_port));
         len = sizeof(ChS);
         memset(&ChS, '\0', len);
 
@@ -213,7 +213,7 @@
         }
 
         debug(54, 3) ("ipcCreate: FD %d sockaddr %s:%d\n",
-                      crfd, inet_ntoa(ChS.sin_addr), ntohs(ChS.sin_port));
+                      crfd, INET_NTOA(ChS.sin_addr), ntohs(ChS.sin_port));
     }
 
     if (type == IPC_TCP_SOCKET) {
Index: squid3/src/ipcache.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ipcache.cc,v
retrieving revision 1.9.2.4
retrieving revision 1.9.2.5
diff -u -r1.9.2.4 -r1.9.2.5
--- squid3/src/ipcache.cc	19 Apr 2005 10:58:16 -0000	1.9.2.4
+++ squid3/src/ipcache.cc	25 Apr 2005 13:40:33 -0000	1.9.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ipcache.cc,v 1.9.2.4 2005/04/19 10:58:16 rmartinez Exp $
+ * $Id: ipcache.cc,v 1.9.2.5 2005/04/25 13:40:33 rmartinez Exp $
  *
  * DEBUG: section 14    IP Cache
  * AUTHOR: Harvest Derived
@@ -437,7 +437,7 @@
 
         debug(14, 3) ("ipcacheParse: #%d %s\n",
                       j - 1,
-                      inet_ntoa(i->addrs.in_addrs[j - 1]));
+                      INET_NTOA(i->addrs.in_addrs[j - 1]));
     }
 
     assert(j == na);
@@ -639,7 +639,7 @@
                       (int) i->addrs.badcount);
 
     for (k = 0; k < (int) i->addrs.count; k++) {
-        storeAppendPrintf(sentry, " %15s-%3s", inet_ntoa(i->addrs.in_addrs[k]),
+        storeAppendPrintf(sentry, " %15s-%3s", INET_NTOA(i->addrs.in_addrs[k]),
                           i->addrs.bad_mask[k] ? "BAD" : "OK ");
     }
 
@@ -796,7 +796,7 @@
     }
 
     debug(14, 3) ("ipcacheCycleAddr: %s now at %s\n", name,
-                  inet_ntoa(ia->in_addrs[ia->cur]));
+                  INET_NTOA(ia->in_addrs[ia->cur]));
 }
 
 /*
@@ -830,7 +830,7 @@
         ia->bad_mask[k] = TRUE;
         ia->badcount++;
         i->expires = XMIN(squid_curtime + XMAX((time_t)60, Config.negativeDnsTtl), i->expires);
-        debug(14, 2) ("ipcacheMarkBadAddr: %s [%s]\n", name, inet_ntoa(addr));
+        debug(14, 2) ("ipcacheMarkBadAddr: %s [%s]\n", name, INET_NTOA(addr));
     }
 
     ipcacheCycleAddr(name, ia);
@@ -865,7 +865,7 @@
 
     ia->badcount--;
 
-    debug(14, 2) ("ipcacheMarkGoodAddr: %s [%s]\n", name, inet_ntoa(addr));
+    debug(14, 2) ("ipcacheMarkGoodAddr: %s [%s]\n", name, INET_NTOA(addr));
 }
 
 static void
Index: squid3/src/main.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/main.cc,v
retrieving revision 1.42.4.1
retrieving revision 1.42.4.2
diff -u -r1.42.4.1 -r1.42.4.2
--- squid3/src/main.cc	19 Apr 2005 10:58:17 -0000	1.42.4.1
+++ squid3/src/main.cc	25 Apr 2005 13:40:42 -0000	1.42.4.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: main.cc,v 1.42.4.1 2005/04/19 10:58:17 rmartinez Exp $
+ * $Id: main.cc,v 1.42.4.2 2005/04/25 13:40:42 rmartinez Exp $
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
@@ -931,17 +931,21 @@
     if (oldmask)
         umask(oldmask);
 
+#ifdef INET6
+    memset(&local_addr, '\0', sizeof(struct IN_ADDR));
+    safe_inet6_addr(localhost, &local_addr);
+    memset(&any_addr, '\0', sizeof(struct IN_ADDR));
+    safe_inet6_addr("::", &any_addr);
+    memset(&no_addr, '\0', sizeof(struct IN_ADDR));
+    memset(&no_addr, '\xFF', sizeof(no_addr));
+#else
     memset(&local_addr, '\0', sizeof(struct IN_ADDR));
-
     safe_inet_addr(localhost, &local_addr);
-
     memset(&any_addr, '\0', sizeof(struct IN_ADDR));
-
     safe_inet_addr("0.0.0.0", &any_addr);
-
     memset(&no_addr, '\0', sizeof(struct IN_ADDR));
-
     safe_inet_addr("255.255.255.255", &no_addr);
+#endif
 
     squid_srandom(time(NULL));
 
Index: squid3/src/multicast.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/multicast.cc,v
retrieving revision 1.2
retrieving revision 1.2.10.1
diff -u -r1.2 -r1.2.10.1
--- squid3/src/multicast.cc	22 Feb 2003 03:14:34 -0000	1.2
+++ squid3/src/multicast.cc	25 Apr 2005 13:40:53 -0000	1.2.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: multicast.cc,v 1.2 2003/02/22 03:14:34 squidadm Exp $
+ * $Id: multicast.cc,v 1.2.10.1 2005/04/25 13:40:53 rmartinez Exp $
  *
  * DEBUG: section 7     Multicast
  * AUTHOR: Martin Hamilton
@@ -68,7 +68,7 @@
 
     for (i = 0; i < (int) ia->count; i++) {
         debug(7, 10) ("Listening for ICP requests on %s\n",
-                      inet_ntoa(*(ia->in_addrs + i)));
+                      INET_NTOA(*(ia->in_addrs + i)));
         mr.imr_multiaddr.s_addr = (ia->in_addrs + i)->s_addr;
         mr.imr_interface.s_addr = INADDR_ANY;
         x = setsockopt(fd, IPPROTO_IP, IP_ADD_MEMBERSHIP,
@@ -77,7 +77,7 @@
 
         if (x < 0)
             debug(7, 1) ("comm_join_mcast_groups: FD %d, [%s]\n",
-                         fd, inet_ntoa(*(ia->in_addrs + i)));
+                         fd, INET_NTOA(*(ia->in_addrs + i)));
 
         x = setsockopt(fd, IPPROTO_IP, IP_MULTICAST_LOOP, &c, 1);
 
Index: squid3/src/neighbors.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/neighbors.cc,v
retrieving revision 1.23.4.2
retrieving revision 1.23.4.3
diff -u -r1.23.4.2 -r1.23.4.3
--- squid3/src/neighbors.cc	19 Apr 2005 10:58:17 -0000	1.23.4.2
+++ squid3/src/neighbors.cc	25 Apr 2005 13:41:05 -0000	1.23.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: neighbors.cc,v 1.23.4.2 2005/04/19 10:58:17 rmartinez Exp $
+ * $Id: neighbors.cc,v 1.23.4.3 2005/04/25 13:41:05 rmartinez Exp $
  *
  * DEBUG: section 15    Neighbor Routines
  * AUTHOR: Harvest Derived
@@ -62,7 +62,7 @@
 static void peerCountMcastPeersSchedule(peer * p, time_t when);
 static IRCB peerCountHandleIcpReply;
 
-static void neighborIgnoreNonPeer(const struct sockaddr_in *, icp_opcode);
+static void neighborIgnoreNonPeer(const struct SOCKADDR_IN *, icp_opcode);
 static OBJH neighborDumpPeers;
 static OBJH neighborDumpNonPeers;
 static void dump_peers(StoreEntry * sentry, peer * peers);
@@ -91,14 +91,14 @@
 
 peer *
 
-whichPeer(const struct sockaddr_in * from)
+whichPeer(const struct SOCKADDR_IN * from)
 {
     int j;
     u_short port = ntohs(from->sin_port);
 
     struct IN_ADDR ip = from->sin_addr;
     peer *p = NULL;
-    debug(15, 3) ("whichPeer: from %s port %d\n", inet_ntoa(ip), port);
+    debug(15, 3) ("whichPeer: from %s port %d\n", INET_NTOA(ip), port);
 
     for (p = Config.peers; p; p = p->next)
     {
@@ -515,9 +515,9 @@
 neighbors_init(void)
 {
 
-    struct sockaddr_in name;
+    struct SOCKADDR_IN name;
 
-    socklen_t len = sizeof(struct sockaddr_in);
+    socklen_t len = sizeof(struct SOCKADDR_IN);
 
     struct servent *sep = NULL;
     const char *me = getMyHostname();
@@ -527,7 +527,7 @@
 
     if (fd >= 0) {
 
-        memset(&name, '\0', sizeof(struct sockaddr_in));
+        memset(&name, '\0', sizeof(struct SOCKADDR_IN));
 
         if (getsockname(fd, (struct sockaddr *) &name, &len) < 0)
             debug(15, 1) ("getsockname(%d,%p,%p) failed.\n", fd, &name, &len);
@@ -717,7 +717,7 @@
     if (Config.npeers) {
         const ipcache_addrs *ia = NULL;
 
-        struct sockaddr_in to_addr;
+        struct SOCKADDR_IN to_addr;
         char *host = request->host;
 
         if (!Config.onoff.source_ping) {
@@ -730,9 +730,9 @@
             if (icmp_sock != -1) {
                 icmpSourcePing(ia->in_addrs[ia->cur], &echo_hdr, url);
             } else {
-                to_addr.sin_family = AF_INET;
+                FAMILY_FROM_SA(to_addr) = AF_INET;
                 to_addr.sin_addr = ia->in_addrs[ia->cur];
-                to_addr.sin_port = htons(echo_port);
+                PORT_FROM_SA(to_addr) = htons(echo_port);
                 query = _icp_common_t::createMessage(ICP_SECHO, 0, url, reqnum, 0);
                 icpUdpSend(theOutIcpConnection,
                            &to_addr,
@@ -986,7 +986,7 @@
 
 static void
 
-neighborIgnoreNonPeer(const struct sockaddr_in *from, icp_opcode opcode)
+neighborIgnoreNonPeer(const struct SOCKADDR_IN *from, icp_opcode opcode)
 {
     peer *np;
 
@@ -995,7 +995,7 @@
         if (np->in_addr.sin_addr.s_addr != from->sin_addr.s_addr)
             continue;
 
-        if (np->in_addr.sin_port != from->sin_port)
+        PORT_FROM_SA(if (np->in_addr) != from->sin_port)
             continue;
 
         break;
@@ -1005,10 +1005,10 @@
     {
         np = (peer *)xcalloc(1, sizeof(peer));
         np->in_addr.sin_addr = from->sin_addr;
-        np->in_addr.sin_port = from->sin_port;
+        PORT_FROM_SA(np->in_addr) = from->sin_port;
         np->icp.port = ntohl(from->sin_port);
         np->type = PEER_NONE;
-        np->host = xstrdup(inet_ntoa(from->sin_addr));
+        np->host = xstrdup(INET_NTOA(from->sin_addr));
         np->next = non_peers;
         non_peers = np;
     }
@@ -1049,7 +1049,7 @@
  */
 void
 
-neighborsUdpAck(const cache_key * key, icp_common_t * header, const struct sockaddr_in *from)
+neighborsUdpAck(const cache_key * key, icp_common_t * header, const struct SOCKADDR_IN *from)
 {
     peer *p = NULL;
     StoreEntry *entry;
@@ -1165,7 +1165,7 @@
 #endif
 
         } else {
-            debug(15, 1) ("Unsolicited SECHO from %s\n", inet_ntoa(from->sin_addr));
+            debug(15, 1) ("Unsolicited SECHO from %s\n", INET_NTOA(from->sin_addr));
         }
     } else if (opcode == ICP_DENIED)
     {
@@ -1286,7 +1286,7 @@
 {
     peer *p = (peer *)data;
 
-    struct sockaddr_in *ap;
+    struct SOCKADDR_IN *ap;
     int j;
 
     if (p->n_addresses == 0) {
@@ -1311,14 +1311,14 @@
 
     for (j = 0; j < (int) ia->count && j < PEER_MAX_ADDRESSES; j++) {
         p->addresses[j] = ia->in_addrs[j];
-        debug(15, 2) ("--> IP address #%d: %s\n", j, inet_ntoa(p->addresses[j]));
+        debug(15, 2) ("--> IP address #%d: %s\n", j, INET_NTOA(p->addresses[j]));
         p->n_addresses++;
     }
 
     ap = &p->in_addr;
 
-    memset(ap, '\0', sizeof(struct sockaddr_in));
-    ap->sin_family = AF_INET;
+    memset(ap, '\0', sizeof(struct SOCKADDR_IN));
+    FAMILY_FROM_SA(*ap)=AF_INET;
     ap->sin_addr = p->addresses[0];
     ap->sin_port = htons(p->icp.port);
 
@@ -1479,7 +1479,7 @@
     LOCAL_ARRAY(char, url, MAX_URL);
     assert(p->type == PEER_MULTICAST);
     p->mcast.flags.count_event_pending = 0;
-    snprintf(url, MAX_URL, "http://%s/", inet_ntoa(p->in_addr.sin_addr));
+    snprintf(url, MAX_URL, "http://%s/", INET_NTOA(p->in_addr.sin_addr));
     fake = storeCreateEntry(url, url, request_flags(), METHOD_GET);
     psstate = new ps_state;
     psstate->request = requestLink(urlParse(METHOD_GET, url));
@@ -1676,7 +1676,7 @@
 
         for (i = 0; i < e->n_addresses; i++) {
             storeAppendPrintf(sentry, "Address[%d] : %s\n", i,
-                              inet_ntoa(e->addresses[i]));
+                              INET_NTOA(e->addresses[i]));
         }
 
         storeAppendPrintf(sentry, "Status     : %s\n",
@@ -1762,7 +1762,7 @@
 #if USE_HTCP
 void
 
-neighborsHtcpReply(const cache_key * key, htcpReplyData * htcp, const struct sockaddr_in *from)
+neighborsHtcpReply(const cache_key * key, htcpReplyData * htcp, const struct SOCKADDR_IN *from)
 {
     StoreEntry *e = Store::Root().get(key);
     MemObject *mem = NULL;
Index: squid3/src/net_db.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/net_db.cc,v
retrieving revision 1.13.4.1
retrieving revision 1.13.4.2
diff -u -r1.13.4.1 -r1.13.4.2
--- squid3/src/net_db.cc	19 Apr 2005 10:58:17 -0000	1.13.4.1
+++ squid3/src/net_db.cc	25 Apr 2005 13:41:31 -0000	1.13.4.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: net_db.cc,v 1.13.4.1 2005/04/19 10:58:17 rmartinez Exp $
+ * $Id: net_db.cc,v 1.13.4.2 2005/04/25 13:41:31 rmartinez Exp $
  *
  * DEBUG: section 38    Network Measurement Database
  * AUTHOR: Duane Wessels
@@ -110,7 +110,7 @@
 
 netdbHashInsert(netdbEntry * n, struct IN_ADDR addr)
 {
-    xstrncpy(n->network, inet_ntoa(networkFromInaddr(addr)), 16);
+    xstrncpy(n->network, INET_NTOA(networkFromInaddr(addr)), 16);
     n->hash.key = n->network;
     assert(hash_lookup(addr_table, n->network) == NULL);
     hash_join(addr_table, &n->hash);
@@ -248,7 +248,7 @@
 netdbLookupAddr(struct IN_ADDR addr)
 {
     netdbEntry *n;
-    char *key = inet_ntoa(networkFromInaddr(addr));
+    char *key = INET_NTOA(networkFromInaddr(addr));
     n = (netdbEntry *) hash_lookup(addr_table, key);
     return n;
 }
@@ -927,12 +927,12 @@
 
 void
 
-netdbHandlePingReply(const struct sockaddr_in *from, int hops, int rtt)
+netdbHandlePingReply(const struct SOCKADDR_IN *from, int hops, int rtt)
 {
 #if USE_ICMP
     netdbEntry *n;
     int N;
-    debug(38, 3) ("netdbHandlePingReply: from %s\n", inet_ntoa(from->sin_addr));
+    debug(38, 3) ("netdbHandlePingReply: from %s\n", INET_NTOA(from->sin_addr));
 
     if ((n = netdbLookupAddr(from->sin_addr)) == NULL)
         return;
@@ -1149,7 +1149,7 @@
     netdbEntry *n;
     net_db_peer *p;
     debug(38, 5) ("netdbExchangeUpdatePeer: '%s', %0.1f hops, %0.1f rtt\n",
-                  inet_ntoa(addr), hops, rtt);
+                  INET_NTOA(addr), hops, rtt);
     n = netdbLookupAddr(addr);
 
     if (n == NULL)
Index: squid3/src/peer_select.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/peer_select.cc,v
retrieving revision 1.9.4.1
retrieving revision 1.9.4.2
diff -u -r1.9.4.1 -r1.9.4.2
--- squid3/src/peer_select.cc	19 Apr 2005 10:58:18 -0000	1.9.4.1
+++ squid3/src/peer_select.cc	25 Apr 2005 13:41:46 -0000	1.9.4.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: peer_select.cc,v 1.9.4.1 2005/04/19 10:58:18 rmartinez Exp $
+ * $Id: peer_select.cc,v 1.9.4.2 2005/04/25 13:41:46 rmartinez Exp $
  *
  * DEBUG: section 44    Peer Selection Algorithm
  * AUTHOR: Duane Wessels
@@ -466,7 +466,7 @@
             code = SOURCE_FASTEST;
         } else
 #endif
-            if (ps->closest_parent_miss.sin_addr.s_addr != any_addr.s_addr) {
+            if (!ADDR_IS_ANYADDR(ps->closest_parent_miss.sin_addr)) {
                 p = whichPeer(&ps->closest_parent_miss);
                 code = CLOSEST_PARENT_MISS;
             } else if (ps->first_parent_miss.sin_addr.s_addr != any_addr.s_addr) {
Index: squid3/src/pinger.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/pinger.cc,v
retrieving revision 1.9.8.1
retrieving revision 1.9.8.2
diff -u -r1.9.8.1 -r1.9.8.2
--- squid3/src/pinger.cc	19 Apr 2005 10:58:18 -0000	1.9.8.1
+++ squid3/src/pinger.cc	25 Apr 2005 13:41:55 -0000	1.9.8.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: pinger.cc,v 1.9.8.1 2005/04/19 10:58:18 rmartinez Exp $
+ * $Id: pinger.cc,v 1.9.8.2 2005/04/25 13:41:55 rmartinez Exp $
  *
  * DEBUG: section 42    ICMP Pinger program
  * AUTHOR: Duane Wessels
@@ -218,7 +218,7 @@
     char buf[sizeof(wpi)];
     int x;
 
-    struct sockaddr_in PS;
+    struct SOCKADDR_IN PS;
 
     WSAStartup(2, &wsaData);
 
@@ -333,7 +333,7 @@
 
     size_t icmp_pktsize = sizeof(struct icmphdr);
 
-    struct sockaddr_in S;
+    struct SOCKADDR_IN S;
     memset(pkt, '\0', MAX_PKT_SZ);
 
     icmp = (struct icmphdr *) (void *) pkt;
@@ -370,12 +370,12 @@
     }
 
     icmp->icmp_cksum = in_cksum((u_short *) icmp, icmp_pktsize);
-    S.sin_family = AF_INET;
+    FAMILY_FROM_SA(S) = AF_INET;
     /*
      * cevans: alert: trusting to-host, was supplied in network packet
      */
     S.sin_addr = to;
-    S.sin_port = 0;
+    PORT_FROM_SA(S) = 0;
     assert(icmp_pktsize <= MAX_PKT_SZ);
     sendto(icmp_sock,
            pkt,
@@ -384,7 +384,7 @@
 
            (struct sockaddr *) &S,
 
-           sizeof(struct sockaddr_in));
+           sizeof(struct SOCKADDR_IN));
     pingerLog(icmp, to, 0, 0);
 }
 
@@ -394,7 +394,7 @@
     int n;
     socklen_t fromlen;
 
-    struct sockaddr_in from;
+    struct SOCKADDR_IN from;
     int iphdrlen = 20;
 
     struct iphdr *ip = NULL;
@@ -429,7 +429,7 @@
 
 #endif
 
-    debug(42, 9) ("pingerRecv: %d bytes from %s\n", n, inet_ntoa(from.sin_addr));
+    debug(42, 9) ("pingerRecv: %d bytes from %s\n", n, INET_NTOA(from.sin_addr));
 
     ip = (struct iphdr *) (void *) pkt;
 
@@ -507,7 +507,7 @@
     debug(42, 2) ("pingerLog: %9d.%06d %-16s %d %-15.15s %dms %d hops\n",
                   (int) current_time.tv_sec,
                   (int) current_time.tv_usec,
-                  inet_ntoa(addr),
+                  INET_NTOA(addr),
                   (int) icmp->icmp_type,
                   icmpPktStr[icmp->icmp_type],
                   rtt,
Index: squid3/src/protos.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/protos.h,v
retrieving revision 1.48.4.4
retrieving revision 1.48.4.5
diff -u -r1.48.4.4 -r1.48.4.5
--- squid3/src/protos.h	19 Apr 2005 10:58:18 -0000	1.48.4.4
+++ squid3/src/protos.h	25 Apr 2005 13:42:20 -0000	1.48.4.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: protos.h,v 1.48.4.4 2005/04/19 10:58:18 rmartinez Exp $
+ * $Id: protos.h,v 1.48.4.5 2005/04/25 13:42:20 rmartinez Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -127,7 +127,7 @@
 #endif
 SQUIDCEXTERN void commConnectStart(int fd, const char *, u_short, CNCB *, void *);
 
-SQUIDCEXTERN int comm_connect_addr(int sock, const struct sockaddr_in *);
+SQUIDCEXTERN int comm_connect_addr(int sock, const struct SOCKADDR_IN *);
 SQUIDCEXTERN void comm_init(void);
 
 SQUIDCEXTERN int comm_open(int, int, struct IN_ADDR, u_short port, int, const char *note);
@@ -137,7 +137,7 @@
 
 SQUIDCEXTERN void commSetSelect(int, unsigned int, PF *, void *, time_t);
 
-SQUIDCEXTERN int comm_udp_sendto(int, const struct sockaddr_in *, int, const void *, int);
+SQUIDCEXTERN int comm_udp_sendto(int, const struct SOCKADDR_IN *, int, const void *, int);
 SQUIDCEXTERN void comm_old_write(int fd,
                                  const char *buf,
                                  int size,
@@ -258,19 +258,9 @@
 SQUIDCEXTERN void filemapFreeMemory(fileMap *);
 
 
-<<<<<<< protos.h
-#if ENABLE_IPV6
-SQUIDCEXTERN void fqdncache_nbgethostbyaddr(struct inaddr_storage * addr6, FQDNH *, void *);
-SQUIDCEXTERN const char *fqdncache_gethostbyaddr(struct inaddr_storage * addr6, int flags);
-#else
-SQUIDCEXTERN void fqdncache_nbgethostbyaddr(struct in_addr, FQDNH *, void *);
-SQUIDCEXTERN const char *fqdncache_gethostbyaddr(struct in_addr, int flags);
-#endif
-=======
 SQUIDCEXTERN void fqdncache_nbgethostbyaddr(struct IN_ADDR, FQDNH *, void *);
 
 SQUIDCEXTERN const char *fqdncache_gethostbyaddr(struct IN_ADDR, int flags);
->>>>>>> 1.52
 SQUIDCEXTERN void fqdncache_init(void);
 SQUIDCEXTERN void fqdnStats(StoreEntry *);
 SQUIDCEXTERN void fqdncacheReleaseInvalid(const char *);
@@ -543,7 +533,7 @@
                                   int *timeout);
 SQUIDCEXTERN void neighborAddAcl(const char *, const char *);
 
-SQUIDCEXTERN void neighborsUdpAck(const cache_key *, icp_common_t *, const struct sockaddr_in *);
+SQUIDCEXTERN void neighborsUdpAck(const cache_key *, icp_common_t *, const struct SOCKADDR_IN *);
 SQUIDCEXTERN void neighborAdd(const char *, const char *, int, int, int, int, int);
 SQUIDCEXTERN void neighbors_init(void);
 SQUIDCEXTERN peer *peerFindByName(const char *);
@@ -566,11 +556,11 @@
 SQUIDCEXTERN void dump_peer_options(StoreEntry *, peer *);
 SQUIDCEXTERN int peerHTTPOkay(const peer *, HttpRequest *);
 
-SQUIDCEXTERN peer *whichPeer(const struct sockaddr_in *from);
+SQUIDCEXTERN peer *whichPeer(const struct SOCKADDR_IN *from);
 
 SQUIDCEXTERN void netdbInit(void);
 
-SQUIDCEXTERN void netdbHandlePingReply(const struct sockaddr_in *from, int hops, int rtt);
+SQUIDCEXTERN void netdbHandlePingReply(const struct SOCKADDR_IN *from, int hops, int rtt);
 SQUIDCEXTERN void netdbPingSite(const char *hostname);
 SQUIDCEXTERN void netdbDump(StoreEntry *);
 
@@ -645,7 +635,7 @@
 /* ident.c */
 #if USE_IDENT
 
-SQUIDCEXTERN void identStart(struct sockaddr_in *me, struct sockaddr_in *my_peer,
+SQUIDCEXTERN void identStart(struct SOCKADDR_IN *me, struct SOCKADDR_IN *my_peer,
                              IDCB * callback, void *cbdata);
 SQUIDCEXTERN void identInit(void);
 #endif
Index: squid3/src/recv-announce.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/recv-announce.cc,v
retrieving revision 1.2
retrieving revision 1.2.10.1
diff -u -r1.2 -r1.2.10.1
--- squid3/src/recv-announce.cc	22 Feb 2003 03:14:35 -0000	1.2
+++ squid3/src/recv-announce.cc	25 Apr 2005 13:42:29 -0000	1.2.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: recv-announce.cc,v 1.2 2003/02/22 03:14:35 squidadm Exp $
+ * $Id: recv-announce.cc,v 1.2.10.1 2005/04/25 13:42:29 rmartinez Exp $
  *
  * DEBUG: section 0     Announcement Server
  * AUTHOR: Harvest Derived
@@ -86,7 +86,7 @@
 {
     char buf[RECV_BUF_SIZE];
 
-    struct sockaddr_in R;
+    struct SOCKADDR_IN R;
     socklen_t len;
 
     struct hostent *hp = NULL;
@@ -127,7 +127,7 @@
         hp = gethostbyaddr(ip, 4, AF_INET);
         printf("==============================================================================\n");
         printf("Received from %s [%s]\n",
-               inet_ntoa(R.sin_addr),
+               INET_NTOA(R.sin_addr),
                (hp && hp->h_name) ? hp->h_name : "Unknown");
         fputs(buf, stdout);
         fflush(stdout);
Index: squid3/src/redirect.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/redirect.cc,v
retrieving revision 1.15.4.1
retrieving revision 1.15.4.2
diff -u -r1.15.4.1 -r1.15.4.2
--- squid3/src/redirect.cc	19 Apr 2005 10:58:18 -0000	1.15.4.1
+++ squid3/src/redirect.cc	25 Apr 2005 13:42:41 -0000	1.15.4.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: redirect.cc,v 1.15.4.1 2005/04/19 10:58:18 rmartinez Exp $
+ * $Id: redirect.cc,v 1.15.4.2 2005/04/25 13:42:41 rmartinez Exp $
  *
  * DEBUG: section 61    Redirector
  * AUTHOR: Duane Wessels
@@ -142,7 +142,7 @@
 
     snprintf(buf, 8192, "%s %s/%s %s %s\n",
              r->orig_url,
-             inet_ntoa(r->client_addr),
+             INET_NTOA(r->client_addr),
              fqdn,
              r->client_ident[0] ? rfc1738_escape(r->client_ident) : dash_str,
              r->method_s);
Index: squid3/src/send-announce.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/send-announce.cc,v
retrieving revision 1.3
retrieving revision 1.3.10.1
diff -u -r1.3 -r1.3.10.1
--- squid3/src/send-announce.cc	22 Feb 2003 03:14:35 -0000	1.3
+++ squid3/src/send-announce.cc	25 Apr 2005 13:43:01 -0000	1.3.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: send-announce.cc,v 1.3 2003/02/22 03:14:35 squidadm Exp $
+ * $Id: send-announce.cc,v 1.3.10.1 2005/04/25 13:43:01 rmartinez Exp $
  *
  * DEBUG: section 27    Cache Announcer
  * AUTHOR: Duane Wessels
@@ -58,7 +58,7 @@
     LOCAL_ARRAY(char, tbuf, 256);
     LOCAL_ARRAY(char, sndbuf, BUFSIZ);
 
-    struct sockaddr_in S;
+    struct SOCKADDR_IN S;
     char *host = Config.Announce.host;
     char *file = NULL;
     u_short port = Config.Announce.port;
@@ -108,8 +108,8 @@
     }
 
     memset(&S, '\0', sizeof(S));
-    S.sin_family = AF_INET;
-    S.sin_port = htons(port);
+    FAMILY_FROM_SA(S) = AF_INET;
+    PORT_FROM_SA(S) = htons(port);
     S.sin_addr = ia->in_addrs[0];
     assert(theOutIcpConnection > 0);
     x = comm_udp_sendto(theOutIcpConnection,
Index: squid3/src/snmp_core.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/snmp_core.cc,v
retrieving revision 1.10.8.1
retrieving revision 1.10.8.2
diff -u -r1.10.8.1 -r1.10.8.2
--- squid3/src/snmp_core.cc	19 Apr 2005 10:58:18 -0000	1.10.8.1
+++ squid3/src/snmp_core.cc	25 Apr 2005 13:43:14 -0000	1.10.8.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: snmp_core.cc,v 1.10.8.1 2005/04/19 10:58:18 rmartinez Exp $
+ * $Id: snmp_core.cc,v 1.10.8.2 2005/04/25 13:43:14 rmartinez Exp $
  *
  * DEBUG: section 49    SNMP support
  * AUTHOR: Glenn Chisholm
@@ -354,7 +354,7 @@
 {
     u_short port;
 
-    struct sockaddr_in xaddr;
+    struct SOCKADDR_IN xaddr;
     socklen_t len;
     int x;
 
@@ -408,7 +408,7 @@
 
         memset(&theOutSNMPAddr, '\0', sizeof(struct IN_ADDR));
 
-        len = sizeof(struct sockaddr_in);
+        len = sizeof(struct SOCKADDR_IN);
         memset(&xaddr, '\0', len);
         x = getsockname(theOutSnmpConnection,
 
@@ -474,7 +474,7 @@
 {
     LOCAL_ARRAY(char, buf, SNMP_REQUEST_SIZE);
 
-    struct sockaddr_in from;
+    struct SOCKADDR_IN from;
     socklen_t from_len;
     snmp_request_t *snmp_rq;
     int len;
@@ -483,7 +483,7 @@
 
     commSetSelect(sock, COMM_SELECT_READ, snmpHandleUdp, NULL, 0);
 
-    from_len = sizeof(struct sockaddr_in);
+    from_len = sizeof(struct SOCKADDR_IN);
     memset(&from, '\0', from_len);
     memset(buf, '\0', SNMP_REQUEST_SIZE);
 
@@ -500,7 +500,7 @@
         debug(49, 3) ("snmpHandleUdp: FD %d: received %d bytes from %s.\n",
                       sock,
                       len,
-                      inet_ntoa(from.sin_addr));
+                      INET_NTOA(from.sin_addr));
 
         snmp_rq = (snmp_request_t *)xcalloc(1, sizeof(snmp_request_t));
         snmp_rq->buf = (u_char *) buf;
@@ -508,7 +508,7 @@
         snmp_rq->sock = sock;
         snmp_rq->outbuf = (unsigned char *)xmalloc(snmp_rq->outlen = SNMP_REQUEST_SIZE);
 
-        xmemcpy(&snmp_rq->from, &from, sizeof(struct sockaddr_in));
+        xmemcpy(&snmp_rq->from, &from, sizeof(struct SOCKADDR_IN));
         snmpDecodePacket(snmp_rq);
         xfree(snmp_rq->outbuf);
         xfree(snmp_rq);
@@ -554,7 +554,7 @@
         snmpConstructReponse(rq);
     } else {
         debug(49, 1) ("Failed SNMP agent query from : %s.\n",
-                      inet_ntoa(rq->from.sin_addr));
+                      INET_NTOA(rq->from.sin_addr));
         snmp_free_pdu(PDU);
     }
 
@@ -875,15 +875,15 @@
         *len += 4;
     } else {
         laddr = oid2addr(&name[*len - 4]);
-        host_addr = inet_ntoa(*laddr);
+        host_addr = INET_NTOA(*laddr);
         last_addr = (char *)xmalloc(strlen(host_addr));
         strncpy(last_addr, host_addr, strlen(host_addr));
-        current_addr = inet_ntoa(peers->in_addr.sin_addr);
+        current_addr = INET_NTOA(peers->in_addr.sin_addr);
 
         while ((peers) && (strncmp(last_addr, current_addr, strlen(current_addr)))) {
             if (peers->next) {
                 peers = peers->next;
-                current_addr = inet_ntoa(peers->in_addr.sin_addr);
+                current_addr = INET_NTOA(peers->in_addr.sin_addr);
             } else {
                 peers = NULL;
             }
Index: squid3/src/stat.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/stat.cc,v
retrieving revision 1.24
retrieving revision 1.24.4.1
diff -u -r1.24 -r1.24.4.1
--- squid3/src/stat.cc	4 Jan 2005 03:13:39 -0000	1.24
+++ squid3/src/stat.cc	25 Apr 2005 13:43:24 -0000	1.24.4.1
@@ -1,5 +1,5 @@
 /*
- * $Id: stat.cc,v 1.24 2005/01/04 03:13:39 squidadm Exp $
+ * $Id: stat.cc,v 1.24.4.1 2005/04/25 13:43:24 rmartinez Exp $
  *
  * DEBUG: section 18    Cache Manager Statistics
  * AUTHOR: Harvest Derived
@@ -1611,10 +1611,10 @@
             storeAppendPrintf(s, "\tin: buf %p, offset %ld, size %ld\n",
                               conn->in.buf, (long int) conn->in.notYetUsed, (long int) conn->in.allocatedSize);
             storeAppendPrintf(s, "\tpeer: %s:%d\n",
-                              inet_ntoa(conn->peer.sin_addr),
+                              INET_NTOA(conn->peer.sin_addr),
                               ntohs(conn->peer.sin_port));
             storeAppendPrintf(s, "\tme: %s:%d\n",
-                              inet_ntoa(conn->me.sin_addr),
+                              INET_NTOA(conn->me.sin_addr),
                               ntohs(conn->me.sin_port));
             storeAppendPrintf(s, "\tnrequests: %d\n",
                               conn->nrequests);
